package org.fuseri.moduleexercise.common;

import jakarta.persistence.Id;
import jakarta.persistence.MappedSuperclass;
import lombok.Getter;
import lombok.Setter;

import java.util.UUID;

/**
 * Represent the base class for entities in the module.
 */
@Getter
@Setter
@MappedSuperclass
public abstract class DomainObject {

    @Id
    private String id = UUID.randomUUID().toString();
}

